=== modified file 'loggerhead/wsgiapp.py'
--- loggerhead/wsgiapp.py	2008-06-15 06:43:31 +0000
+++ loggerhead/wsgiapp.py	2008-06-16 07:27:16 +0000
@@ -40,6 +40,13 @@
 
     context_url = url
 
+    controllers_dict = {
+        'changes': ChangeLogUI,
+        'annotate': AnnotateUI,
+        'files': InventoryUI,
+        'revision': RevisionUI,
+        }
+
     def app(self, environ, start_response):
         req = WSGIRequest(environ)
         response = WSGIResponse()
@@ -49,19 +56,12 @@
         path = request.path_info_pop(environ)
         if not path:
             raise httpexceptions.HTTPMovedPermanently('changes')
-        elif path == 'changes':
-            c = ChangeLogUI(self)
-            c.default(req, response)
-        elif path == 'annotate':
-            c = AnnotateUI(self)
-            c.default(req, response)
-        elif path == 'files':
-            c = InventoryUI(self)
-            c.default(req, response)
-        elif path == 'revision':
-            c = RevisionUI(self)
-            c.default(req, response)
-        elif path == 'static':
+        if path == 'static':
             return static_app(environ, start_response)
+        cls = self.controllers_dict.get(path)
+        if cls is None:
+            raise httpexceptions.HTTPNotFound()
+        c = cls(self)
+        c.default(req, response)
         return response(environ, start_response)
 

